﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Security.Permissions;
using System.Web;
using System.Web.Caching;
using System.Web.Hosting;
using System.Reflection;

namespace Owlpal.Core.Plugins
{
    [AspNetHostingPermission(SecurityAction.Demand, Level = AspNetHostingPermissionLevel.Minimal)]
    [AspNetHostingPermission(SecurityAction.InheritanceDemand, Level = AspNetHostingPermissionLevel.Minimal)]
    public class OwlpalAssemblyFile : VirtualFile
    {
        private Assembly _assembly;
        private OwlpalPathProvider _pathProvider;
     
        public OwlpalAssemblyFile(string virtualPath, OwlpalPathProvider provider)
            : base(virtualPath)
        {
            _pathProvider = provider;
        }

        public override Stream Open()
        {
            return null;
        }
    }
}
