﻿<%@ Control Language="C#" AutoEventWireup="true" 
    Inherits="System.Web.Mvc.ViewUserControl<Owlpal.Models.Entry>" %>
    <script type="text/javascript" src="../../Scripts/nicEdit.js"></script>
    <script type="text/javascript">
        $(function() {
            $("#Accordion").accordion({ header: "h3" });
            $("#FlightStartDate").datepicker();
            $("#FlightEndDate").datepicker();
        });
        bkLib.onDomLoaded(function() { new nicEditor({ iconsPath: '../../Content/nicEditorIcons.gif' }).panelInstance('Text'); });
	</script>
    <div id="Accordion">
			<div>
			    <h3><a href="#">Entry</a></h3>
			    <div id="data_form">
			        <% = Html.Hidden("BlogID", ViewData["BlogID"]) %>
			        <p>
			            <%= Html.TextBox("Title", Model.Title)%>
			            <%= Html.ValidationMessage("Title") %>
		            
			        </p>
			            <textarea id="Text" name="Text" class="rich_text_area" cols="20" rows="20">
			                <%= Model.Text %>
			            </textarea>
			            <%= Html.ValidationMessage("Text") %>
			         <p>
		                <label for="LinkName">Link Name:</label>
		                <%= Html.TextBox("LinkName", Model.LinkName) %>
		            </p>
		            <p>
		                <label for="IsCommentingAllowed">Allow Comment:</label>
		                <%= Html.CheckBox("IsCommentingAllowed", Model.IsCommentingAllowed)%> 
		            </p>
		            <p>
		                <label for="Status">Status:</label>
		                <%= Html.TextBox("TextBox", Model.Status)%> 
		            </p>
		            <p>
		                <label for="FlightStartDate">Start Date:</label>
		                <%= Html.TextBox("FlightStartDate", Model.FlightStartDate)%> 
		            </p>
		            <p>
		                <label for="FlightEndDate">End Date:</label>
		                <%= Html.TextBox("FlightEndDate", Model.FlightEndDate)%> 
		            </p>
		        </div>
			</div>
			<div>
				<h3><a href="#">Setting</a></h3>
				<div id="data_form">
		            <p>
		                <label for="Excerpt">Excerpt:</label>
		                <%= Html.TextArea("Excerpt", Model.Excerpt) %>
		            </p>
		            <p>
		                <label for="IsCommentNotificationEnabled">Comment:</label>
		                <%= Html.CheckBox("IsCommentNotificationEnabled", Model.IsCommentNotificationEnabled)%> Notify for new comments.
		            </p>
		            <p>
		                <label for="IsExcerptSyndicationEnabled">Excerpt:</label>
		                <%= Html.CheckBox("IsExcerptSyndicationEnabled", Model.IsExcerptSyndicationEnabled)%> Notify when excerpt is syndicated.
		            </p>
		            <p>
		                <label for="IsPingingAllowed">Allow Ping:</label>
		                <%= Html.CheckBox("IsPingingAllowed", Model.IsPingingAllowed)%> 
		            </p>
		            <p>
		                <label for="IsTrackbackAllowed">Allow Trackback:</label>
		                <%= Html.CheckBox("IsTrackbackAllowed", Model.IsTrackbackAllowed)%> 
		            </p>    
		        </div>
			</div>
		</div>
