﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Dashboard.Master" 
    Inherits="System.Web.Mvc.ViewPage<Owlpal.Models.Blog>" %>
<%@ Import Namespace="Owlpal.Controllers" %>
<asp:Content ID="Content1" ContentPlaceHolderID="MainContentPlaceHolder" runat="server">
    <script type="text/javascript">
			$(function(){
				// Accordion
				$("#accordion").accordion({ header: "h3" });
			});
		</script>
    <%= Html.ValidationSummary("Edit was unsuccessful. Please correct the errors and try again.") %>
    <% using (Html.BeginForm("EditBlog", "Dashboard"))
       { %>
       <% = Html.Hidden("blog_id", ViewData.Model.ID) %>
       <div id="accordion">
			<div>
				<h3><a href="#">Main</a></h3>
				<div id="data_form">
				    <p>
                        <label for="Blog.Name">Blog Name:</label>
                        <%= ViewData.Model.Name%>
                    </p>
                    <p>
                        <label for="title">Blog Title:</label>
                        <%= Html.TextBox("title", ViewData.Model.Title)%>
                        <%= Html.ValidationMessage("title") %>
                    </p>
                    <p>
                        <label for="description">Blog Description:</label>
                        <%= Html.TextArea("description", ViewData.Model.Description)%>
                        <%= Html.ValidationMessage("description") %>
                    </p>
                    <p>
                        <label for="copyright_owner">Copyright Owner:</label>
                        <%= Html.TextBox("copyright_owner", ViewData.Model.CopyrightOwner)%>
                        <%= Html.ValidationMessage("copyright_owner")%>
                    </p>
                    <p>
                        <label for="copyright_period">Copyright Period:</label>
                        <%= Html.TextBox("copyright_period", ViewData.Model.CopyrightPeriod)%>
                        <%= Html.ValidationMessage("copyright_period")%>
                    </p>
                    <p>
                        <label for="date_locale">Date Locale:</label>
                        <%= Html.TextBox("date_locale", ViewData.Model.DateLocale)%>
                    </p>
                    <p>
                        <label for="theme">Theme:</label>
                        <%= Html.TextBox("theme", ViewData.Model.Theme)%>
                    </p>
                    <p>
                        <label for="timezone">Timezone:</label>
                        <%= Html.TextBox("timezone", ViewData.Model.Timezone)%>
                    </p>
                 </div>
			</div>
			<div>
				<h3><a href="#">Entry</a></h3>
				<div id="data_form">
				    <p>
                        <label for="email_address_for_entry_creation">Notify for New Entry:</label>
                        <%= Html.TextBox("email_address_for_entry_creation", ViewData.Model.EmailAddressForEntryCreation)%>
                    </p>
                    <p>
                        <label for="entry_display_count">No. of Entries per Page:</label>
                        <%= Html.TextBox("entry_display_count", ViewData.Model.EntryDisplayCount)%>
                    </p>
                    <p>
                        <label for="entry_display_sort_order">Entries Sort Order:</label>
                        <%= Html.TextBox("entry_display_sort_order", ViewData.Model.EntryDisplaySortOrder)%>
                    </p>
                    <p>
                        <label for="entry_display_type">Entry Display Type:</label>
                        <%= Html.TextBox("entry_display_type", ViewData.Model.EntryDisplayType)%>
                    </p>
                    <p>
                        <label for="default_entry_status">Default Entry Status:</label>
                        <%= Html.TextBox("default_entry_status", ViewData.Model.DefaultEntryStatus)%>
                    </p>
                    <p>
                        <label for="enable_new_comment_notification">Enable New Comment Notification:</label>
                        <%= Html.CheckBox("enable_new_comment_notification", ViewData.Model.EnableNewCommentNotification, "Check to allow.")%>
                    </p>
                    <p>
                        <label for="email_address_for_comment_notification">Notify for New Comment:</label>
                        <%= Html.TextBox("email_address_for_comment_notification", ViewData.Model.EmailAddressForCommentNotification)%>
                    </p>
                </div>
			</div>
			<div>
				<h3><a href="#">Comment</a></h3>
				<div id="data_form">
				    <p>
                        <label for="enable_comment">Comments To Entries:</label>
                        <%= Html.CheckBox("enable_comment", ViewData.Model.EnableComment, "Check to enable.")%>
                    </p>
				    <p>
                        <label for="allow_anonymous_comment">Anonymous Comment:</label>
                        <%= Html.CheckBox("allow_anonymous_comment", ViewData.Model.AllowAnonymousComment, "Check to allow.")%>
                    </p>
                    <p>
                        <label for="allow_html_in_comment">HTML In Comment:</label>
                        <%= Html.CheckBox("allow_html_in_comment", ViewData.Model.AllowHtmlInComment, "Check to allow.")%>
                    </p>
				</div>
			</div>
			<div>
				<h3><a href="#">Other Setting</a></h3>
				<div id="data_form">
                    <p>
                            <label for="enable_email_referral">Notify for New Referral:</label>
                            <%= Html.CheckBox("enable_email_referral", ViewData.Model.EnableEmailReferral, "Check to enable.")%>
                    </p>
                        <p>
                            <label for="enable_feeder">News Feed:</label>
                            <%= Html.CheckBox("enable_feeder", ViewData.Model.EnableFeeder, "Check to enable.")%>
                        </p>
                        <p>
                            <label for="enable_ping">Ping:</label>
                            <%= Html.CheckBox("enable_ping", ViewData.Model.EnablePing, "Check to enable.")%>
                        </p>
                        <p>
                            <label for="enable_publishing">Publish:</label>
                            <%= Html.CheckBox("enable_publishing", ViewData.Model.EnablePublishing, "Check to enable.")%>
                        </p>
                        <p>
                            <label for="enable_rich_editor">Rich Editor:</label>
                            <%= Html.CheckBox("enable_rich_editor", ViewData.Model.EnableRichEditor, "Check to enable.")%>
                        </p>
                        <p>
                            <label for="enable_trackback">Trackback:</label>
                            <%= Html.CheckBox("enable_trackback", ViewData.Model.EnableTrackback, "Check to enable.")%>
                        </p>
                        <p>
                            <label for="blog_is_private">Private Blog:</label>
                            <%= Html.CheckBox("blog_is_private", ViewData.Model.IsPrivate, "Check to be visible to logged in Users.")%>
                        </p>
				</div>
			</div>
		</div>
       
       <p>
            <label></label>
            <input type="submit" value="Save" />
        </p>
       
    <% } %>
</asp:Content>
