﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Dashboard.Master" 
    Inherits="System.Web.Mvc.ViewPage<DashboardViewData>" %>
<%@ Import Namespace="Owlpal.Controllers" %>
<asp:Content ID="Content1" ContentPlaceHolderID="MainContentPlaceHolder" runat="server">
    <div id="user_profile">
        <h1>Profile</h1>
        <img src="" />
        <ul>
            <li><a href="">Edit Profile</a></li>
            <li><a href="">Edit Screen Name</a></li>
            <li><a href="">Edit Photo</a></li>
        </ul>
    </div>
    <div id="blogs">
        <h1>Blogs</h1>
        <table>
            <caption>Blogs [ <%= Html.ActionLink("Add", "Create", "Blog") %> ]</caption>
            <tr>
                <th colspan="3">
                </th>
                <th>
                    Name
                </th>
            </tr>
            <% foreach (var blog in ViewData.Model.Blogs)
               {%>
                    <tr>
                        <td>
                            <a href="/Dashboard/AddEntry/?BlogID=<% = blog.ID %>">Add Entry</a>
                        </td>
                        <td>
                            <a href="/Dashboard/ShowEntries/?BlogID=<% = blog.ID %>">View Entries</a>
                        </td>
                        <td>
                            <a href="/Dashboard/EditBlog/<% = blog.ID %>">Edit</a>
                        </td>
                        <td>
                            <a href="/Dashboard/DeleteBlog/<% = blog.ID %>">Delete</a>
                        </td>
                        <td>
                            <% = blog.Name %>
                        </td>
                    </tr>    
            <% }%>
        </table>
    </div>
</asp:Content>
